package com.cityguide;

import android.app.Activity;

import android.content.Intent;
import android.content.res.Configuration;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.ImageButton;




public class Restaurants_quickeat extends Activity {  
	
	@Override
	public void onConfigurationChanged(Configuration newConfig) {
	super.onConfigurationChanged(newConfig);
	}
	
	@Override
    public void onCreate(Bundle savedInstanceState) {
    super.onCreate(savedInstanceState);
    setContentView(R.layout.restaurants_quickeat); 
    
    final ImageButton index = (ImageButton) findViewById(R.id.logodown);
    index.setOnClickListener(new ImageButton.OnClickListener() {
        public void onClick(View v) {
        	openIndexActivity();
        }
    });
    
    final ImageButton train = (ImageButton) findViewById(R.id.train);
    train.setOnClickListener(new ImageButton.OnClickListener() {
         public void onClick(View v) {
         	openTram_mapActivity();
         }
     });
    
    final ImageButton bus = (ImageButton) findViewById(R.id.bus);
    bus.setOnClickListener(new ImageButton.OnClickListener() {
         public void onClick(View v) {
         	openBus_mapActivity();
         }
     });
    
    final Button alibaba = (Button) findViewById(R.id.alibaba);
    alibaba.setOnClickListener(new Button.OnClickListener() {
         public void onClick(View v) {
         	openR_alibabaActivity();
         }
     });
    
    final Button burger = (Button) findViewById(R.id.burger);
    burger.setOnClickListener(new Button.OnClickListener() {
         public void onClick(View v) {
         	openR_burgerActivity();
         }
     });
    
    final Button fenix = (Button) findViewById(R.id.fenix);
    fenix.setOnClickListener(new Button.OnClickListener() {
         public void onClick(View v) {
         	openR_fenixActivity();
         }
     });
    
    final Button kfc = (Button) findViewById(R.id.kfc);
    kfc.setOnClickListener(new Button.OnClickListener() {
         public void onClick(View v) {
         	openR_kfcActivity();
         }
     });
    
    final Button mac = (Button) findViewById(R.id.mac);
    mac.setOnClickListener(new Button.OnClickListener() {
         public void onClick(View v) {
         	openR_macActivity();
         }
     });
    
    final Button hut = (Button) findViewById(R.id.hut);
    hut.setOnClickListener(new Button.OnClickListener() {
         public void onClick(View v) {
         	openR_hutActivity();
         }
     });
    
    final Button roti = (Button) findViewById(R.id.roti);
    roti.setOnClickListener(new Button.OnClickListener() {
         public void onClick(View v) {
         	openR_rotiActivity();
         }
     });
     
    final Button spagetheria = (Button) findViewById(R.id.spagetheria);
    spagetheria.setOnClickListener(new Button.OnClickListener() {
         public void onClick(View v) {
         	openR_spagetheriaActivity();
         }
     });
    
    final Button sphinx = (Button) findViewById(R.id.sphinx);
    sphinx.setOnClickListener(new Button.OnClickListener() {
         public void onClick(View v) {
         	openR_sphinxActivity();
         }
     });
    
    final Button subway = (Button) findViewById(R.id.subway);
    subway.setOnClickListener(new Button.OnClickListener() {
         public void onClick(View v) {
         	openR_subwayActivity();
         }
     });
      
}
    
	private void openIndexActivity() {
    	startActivity(new Intent(this,Index.class));
    }
	
	private void openTram_mapActivity() {
    	startActivity(new Intent(this,Tram_map.class));
    }
    
    private void openBus_mapActivity() {
    	startActivity(new Intent(this,Bus_map.class));
    }
	
    private void openR_alibabaActivity() {
    	startActivity(new Intent(this,R_alibaba.class));
    }
    
    private void openR_burgerActivity() {
    	startActivity(new Intent(this,R_burger.class));
    }
    
    private void openR_fenixActivity() {
    	startActivity(new Intent(this,R_fenix.class));
    }
    
    private void openR_kfcActivity() {
    	startActivity(new Intent(this,R_kfc.class));
    }
    
    private void openR_macActivity() {
    	startActivity(new Intent(this,R_mac.class));
    }
    
    private void openR_hutActivity() {
    	startActivity(new Intent(this,R_hut.class));
    }
    
    private void openR_rotiActivity() {
    	startActivity(new Intent(this,R_roti.class));
    }
    
    private void openR_spagetheriaActivity() {
    	startActivity(new Intent(this,R_spagetheria.class));
    }
    
    private void openR_sphinxActivity() {
    	startActivity(new Intent(this,R_sphinx.class));
    }
    
    private void openR_subwayActivity() {
    	startActivity(new Intent(this,R_subway.class));
    }

}
	
	